var express = require('express');
var router = express.Router();

var options = require('./dbconfig');

/*
 * Postgres
 */
var Pool = require('pg').Pool;
var config = {
  user: 'matjaz',
  password: 'mesnjak',
  database: 'supervizor',
  host: 'server.dev',
  port: 5432,
  max: 10,
  idleTimeoutMillis: 30000,
};
var pool = new Pool(config);

router.get('/', function(req, res, next) {
  pool.query('SELECT prs.popolnoime, prs.ma, prs.davcna, prs.ulica, prs.hs, prs.dodatek, prs.po, prs.posta, prs.obcina, lokacija.davcna_stevilka LOKACIJA, delnice.znak from prs LEFT JOIN lokacija on lokacija.davcna_stevilka = prs.davcna LEFT JOIN delnice ON delnice.davcna = prs.davcna WHERE prs.davcna IS NOT NULL AND prs.popolnoime ~* $1', [req.query.naziv], function (err, result) {
    if(err) {
      throw err;
    }
    console.log(result.rows);
    res.render('prssearch', {title: 'Rezultati iskanja po Poslovnem registru Slovenije', results: result.rows});
  })
});

module.exports = router;
